Uploaded image for project: 'Spring Web Services'
  1. Spring Web Services
  2. SWS-681

Manifest files in 2.0.0 release are incorrect

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.0 GA
    • Fix Version/s: 2.0.1
    • Component/s: Core
    • Labels:
      None

      Description

      The manifest files in the 2.0 release jars appear incorrect.

      The spring-ws-core jar does not include OSGi information, while the spring-ws-security jar and others reference the 2.0.0.M4 release.

      spring-ws-core-2.0.0.RELEASE.jar/META-INF/MANIFEST.MF :
      Manifest-Version: 1.0
      Archiver-Version: Plexus Archiver
      Created-By: Apache Maven
      Built-By: arjen
      Build-Jdk: 1.6.0_22

      spring-ws-security-2.0.0.RELEASE.jar/META-INF/MANIFEST.MF:
      Manifest-Version: 1.0
      Archiver-Version: Plexus Archiver
      Created-By: Apache Maven
      Built-By: arjen
      Build-Jdk: 1.6.0_22
      Export-Package: org.springframework.ws.soap.security;version="2.0.0.M4"
      [snip]
      Bundle-Vendor: SpringSource
      Bundle-Version: 2.0.0.M4
      Tool: Bundlor 1.0.0.RELEASE
      Bundle-Name: Spring Web Services SOAP Security

        Activity

        arjen.poutsma Arjen Poutsma logged work - 21/Mar/11 4:56 AM
        • Time Spent:
          0.05d
           
          <No comment>

          People

          • Assignee:
            arjen.poutsma Arjen Poutsma
            Reporter:
            casey.hadden Casey Hadden
          • Votes:
            5 Vote for this issue
            Watchers:
            3 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Time Tracking

              Estimated:
              Original Estimate - Not Specified
              Not Specified
              Remaining:
              Remaining Estimate - 0d
              0d
              Logged:
              Time Spent - 0.05d
              0.05d